<?php

$templatepath = get_template_directory();

define('TB_FUNCTIONS', $templatepath . '/functions/');
define('TB_THEME', get_template_directory_uri());
define('TB_JS', get_template_directory_uri() . '/style/js');
define('TB_CSS', get_template_directory_uri() . '/style/css');


/* Admin Functionality */

if (is_admin()){
	require_once(TB_FUNCTIONS . '/theme_firstinstall.php');
	require_once(TB_FUNCTIONS . '/page_options/theme_page_options.php');
	require_once(TB_FUNCTIONS . '/theme_options/theme_settings.php');
	require_once(TB_FUNCTIONS . '/thundercodes/thundercodes.php');
	require_once(TB_FUNCTIONS . '/thundercodes/thundercolumns.php');
	require_once(TB_FUNCTIONS . '/theme_featured_image_preview.php');
}

/* Theme Functionality */
require_once(TB_FUNCTIONS . '/theme_functions.php');
require_once(TB_FUNCTIONS . '/theme_pagination.php');

/* JavaScripts, Widgets, Sidebars, Shortcodes */
require_once(TB_FUNCTIONS . '/theme_javascriptcss.php');
require_once(TB_FUNCTIONS . '/theme_widgets.php');
require_once(TB_FUNCTIONS . '/theme_sidebars.php');
require_once(TB_FUNCTIONS . '/theme_shortcodes.php');

/* Post Comments, Custom Post Types */
require_once(TB_FUNCTIONS . '/theme_post_comments.php');
require_once(TB_FUNCTIONS . '/theme_post_customtypes.php');
require_once(TB_FUNCTIONS . '/theme_post_like.php');

/* Theme Language */
require_once(TB_FUNCTIONS . '/theme_language.php');



function get_content_in_wp_pointer() {
	$pointer_content  = '<h3>Thanks for choosing <strong>Glisseo</strong>!</h3>';
	$pointer_content .= '<p>Please make sure to follow the instructions about how to configure the Theme in the Documentation Folder in the downloaded Zip file first!<br><br>Especially the part about installing the <strong>Slider Revolution Plugin</strong> and the <strong>Contact Form 7 Plugin</strong>!</p>';
?>
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready( function($) {
	$('#wpadminbar').pointer({
		content: '<?php echo $pointer_content; ?>',
		position: {
			my: 'left top',
			at: 'center bottom',
			offset: '-25 0'
		},
		close: function() {
			setUserSetting( 'p5', '1' );
		}
	}).pointer('open');
});
//]]>
</script>
<?php
}
function fb_enqueue_wp_pointer( $hook_suffix ) {
	$enqueue = FALSE;
	$admin_bar = get_user_setting( 'p5', 0 ); // check settings on user
	// check if admin bar is active and default filter for wp pointer is true
	if ( ! $admin_bar && apply_filters( 'show_wp_pointer_admin_bar', TRUE ) ) {
		$enqueue = TRUE;
		add_action( 'admin_print_footer_scripts', 'get_content_in_wp_pointer' );
	}
	// in true, include the scripts
	if ( $enqueue ) {
		wp_enqueue_style( 'wp-pointer' );
		wp_enqueue_script( 'wp-pointer' );
		wp_enqueue_script( 'utils' ); // for user settings
	}
}
add_action( 'admin_enqueue_scripts', 'fb_enqueue_wp_pointer' );


function load_media_box(){
    wp_enqueue_media();
}
add_action('admin_enqueue_scripts', 'load_media_box');

function options_styles_method() {
		$template_uri = get_template_directory_uri();
	
		//Theme Options
		$tb_themeoptions = array_merge(get_option("tb_glisseo_theme_general_options"),get_option("tb_glisseo_theme_header_options"),get_option("tb_glisseo_theme_body_options"));
		//Style
			// hex (incl. #)
			$tb_themeoptions["tb_glisseo_highlight_color"] = "#".$tb_themeoptions["tb_glisseo_highlight_color"];
			$tb_themeoptions["tb_glisseo_highlight_hover_color"] = "#".$tb_themeoptions["tb_glisseo_highlight_hover_color"];
			// from colorpicker (preview) via URL
			if(isset($_GET["maincolor"])) $tb_themeoptions["tb_glisseo_highlight_color"] = "#".$_GET["maincolor"];
			// rgb (only numbers, e.g. 255,255,255)
			$tb_themeoptions["tb_glisseo_highlight_color_rgb"] = HexToRGB($tb_themeoptions["tb_glisseo_highlight_color"]);
			
			//$tb_themeoptions["tb_glisseo_background_color"] = "#".$tb_themeoptions["tb_glisseo_background_color"];
			$tb_themeoptions["tb_glisseo_main_fontfamily"] = htmlspecialchars_decode($tb_themeoptions["tb_glisseo_main_fontfamily"],ENT_QUOTES);
		//Header
			//$tb_themeoptions["tb_glisseo_header_background_color"] = "#".$tb_themeoptions["tb_glisseo_header_background_color"];
			$tb_themeoptions["tb_glisseo_header_logo_background_color"] = "#".$tb_themeoptions["tb_glisseo_header_logo_background_color"];
			$tb_themeoptions["tb_glisseo_header_logo_background_border_color"] = "#".$tb_themeoptions["tb_glisseo_header_logo_background_border_color"];
			
			$tb_themeoptions["tb_glisseo_highlight_color"] ;
			
		
			$custom_css = "		
				body,input, textarea, h1, h2, h3, h4, h5, h6 ,h5 span, a.button,
				.forms fieldset .btn-submit,
				.wpcf7-submit,
				#comment-form #btn-submit,
				.filter li a  ,.dropcap ,.head-image h1, .menu,.footer .post-list h4,.post .info .date .day ,.post .info .likes a.like-count,.page-navi ul li a,
				.tab, .item-info .portfolio-meta li span,.zetaWarning .navigate, .sidebox ul.posts-list li h6 , .sidebox ul.tag-list li a{
				{$tb_themeoptions['tb_glisseo_main_fontfamily']}
				}

				body {
					background: #eceee9 url({$tb_themeoptions['tb_glisseo_body_background_image']}) repeat fixed;
				}

				.menu ul li.active a, .menu ul li a:hover, .menu ul li a.selected , a , .lite1, 
				.menu ul li.active a, .menu ul li a:hover, .menu ul li a.selected , .footer h3, 
				.footer a:hover,
				.footer .post-list a:hover, .footer a:hover,
				.footer .post-list a:hover, #twitter-wrapper a:hover,.twitter em a:hover, #comments .info h2 a:hover, .tab a.active,
				.tab a:hover ,.toggle h4.title:hover  ,.toggle h4.title.active,a {
					color: {$tb_themeoptions['tb_glisseo_highlight_color']};
				}

				.lite1 {
					border-bottom: 1px dotted {$tb_themeoptions['tb_glisseo_highlight_color']};
				}

				.mejs-controls .mejs-time-rail .mejs-time-loaded , .mejs-controls .mejs-time-rail .mejs-time-loaded, .mejs-controls .mejs-time-rail .mejs-time-loaded {
				 background: {$tb_themeoptions['tb_glisseo_highlight_color']}; !important;
				 }

				a.button:hover,
				.forms fieldset .btn-submit:hover,
				.wpcf7-submit:hover,
				#comment-form #btn-submit:hover,
				.filter li a:hover,
				.filter li a.active  , 
				.page-navi ul li a:hover, .page-navi ul li a.current {
					border-color: {$tb_themeoptions['tb_glisseo_highlight_color']};
				}

				a:hover {
					color: {$tb_themeoptions['tb_glisseo_highlight_hover_color']};
				}

				.logo {
					background-color: {$tb_themeoptions['tb_glisseo_header_logo_background_color']};
					border-bottom: 5px solid {$tb_themeoptions['tb_glisseo_header_logo_background_border_color']};
				}
				
                ";
			$custom_css = $custom_css.''.$tb_themeoptions["tb_glisseo_css"];
        wp_add_inline_style( 'tb_base_style', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'options_styles_method' );

?>