<?php
/*-----------------------------------------------------------------------------------

	Plugin Name: Latest Posts Widget Plugin
	Plugin URI: http://www.thunderbuddies.com
	Description: A widget that displays Latest Posts in a widget
	Version: 1.0
	Author: thunderbuddies
	Author URI: http://www.thunderbuddies.com

-----------------------------------------------------------------------------------*/	
	add_action( 'widgets_init', create_function('', 'return register_widget("tb_glisseoPosts");') );
	class tb_glisseoPosts extends WP_Widget {
		function tb_glisseoPosts() {
			$widget_ops = array('classname' => 'tb_glisseoPosts', 'description' => 'A popular/latest posts widget.');
	    	$this->WP_Widget('tb_glisseoPosts', 'Glisseo Popular/Latest Posts', $widget_ops);
		}
		
		function form( $instance ) {
			$instance = wp_parse_args( (array) $instance ); ?>
	
			<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br /><input type=text class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></p>
	
	        <p><label for="<?php echo $this->get_field_id( 'postcount' ); ?>">Post Count:</label><br /><input type=text class="widefat" id="<?php echo $this->get_field_id( 'postcount' ); ?>" name="<?php echo $this->get_field_name( 'postcount' ); ?>" value="<?php if( isset($instance['postcount']) ) echo $instance['postcount']; ?>" /></p>
	        
	        <?php if( isset($instance['featuredimage']) ) $checked="checked";
	        	  else $checked = "";
	        ?>
	        <p><label for="<?php echo $this->get_field_id( 'featuredimage' ); ?>">Displayed in Sidebar</label><br /><input type=checkbox class="widefat" id="<?php echo $this->get_field_id( 'featuredimage' ); ?>" <?php echo $checked; ?> name="<?php echo $this->get_field_name( 'featuredimage' ); ?>" value="on" /></p>
	        
	        <p><label for="<?php echo $this->get_field_id( 'poplatest' ); ?>">Latest or Popular:</label><br />
	        <select class="widefat" id="<?php echo $this->get_field_id( 'poplatest' ); ?>" name="<?php echo $this->get_field_name( 'poplatest' ); ?>">
	        	<option value="1" <?php 
	        		if( isset($instance['poplatest']) && $instance['poplatest']== 1 ) {
	        			echo "selected"; 
	        		}
	        	?>>Latest Posts</option>
	        	<option value="2" <?php 
	        		if( isset($instance['poplatest']) && $instance['poplatest']== 2 ) {
	        			echo "selected"; 
	        		}
	        	?>>Popular Posts</option>
	        </select>
	        </p>	        
	        <p><p><label for="<?php echo $this->get_field_id( 'category' ); ?>">Show Posts from that Category:</label><br />
	        <select  class="widefat" id="<?php echo $this->get_field_id( 'category' ); ?>" name="<?php echo $this->get_field_name( 'category' ); ?>"> 
				 <option value=""><?php echo 'All Categories'; ?></option> 
				 <?php 
				  $categories=  get_categories(''); 
				  foreach ($categories as $category) {
				  	if(isset($instance['category']) && $instance['category']==$category->cat_ID) $selected = "selected";
				  	else $selected = "";
				  	$option = '<option value="'.$category->cat_ID.'" '.$selected.'>';
					$option .= $category->cat_name;
					$option .= ' ('.$category->category_count.')';
					$option .= '</option>';
					echo $option;
				  }
				 ?>
				</select></p>	
	<?php }
	
		function widget( $args, $instance ) {
			extract( $args );
	
			$title = apply_filters('widget_title', $instance['title'] );
			if ( isset($instance['id']) ) $id = $instance['id'];
			if ( isset($instance['postcount']) ) $pcount = $instance['postcount']; else $pcount = 2;
			if ( isset($instance['poplatest']) ) $platest = $instance['poplatest']; else $platest = 1;
			if ( isset($instance['category']) ) $cat_id = $instance['category']; else $cat_id = "";
				
			echo $before_widget;
			if ( $title ) echo $before_title . $title . $after_title;
			
			if($platest==1){
				$popargs = array( 'numberposts' => $pcount, 'orderby' => 'post_date', 'category' => $cat_id );
			}else{
				$popargs = array( 'numberposts' => $pcount, 'orderby' => 'comment_count', 'category' => $cat_id );
			}
			$unique = uniqid();
			$poplist = get_posts( $popargs );
			if ( !isset($instance['featuredimage']) ) echo '<ul class="post-list">';
			else echo '<ul class="posts-list">';
			foreach ($poplist as $poppost) :  setup_postdata($poppost);
				if ( !isset($instance['featuredimage']) ){
	           	    echo '<li>	
							<h4>
								<a class="posttitle" href="'.get_permalink($poppost->ID).'">'.$poppost->post_title.'</a>	
							</h4>
							<div class="meta">'.date_i18n(get_option('date_format'), strtotime($poppost->post_date_gmt)).'</div>
						</li>';
				}
				else{
					echo '<li>	
							<div class="featured"><a href="'.get_permalink($poppost->ID).'"><img src="' . aq_resize(wp_get_attachment_url( get_post_thumbnail_id($poppost->ID) ),70,70,true) . '" alt="" /></a></div>
							<div class="meta">
				            	<h6><a href="'.get_permalink($poppost->ID).'">'.$poppost->post_title.'</a></h6>
				            	<em>'.date_i18n(get_option('date_format'), strtotime($poppost->post_date_gmt)).'</em>
				            </div> 
						</li>';
				}
	      endforeach;
	      	echo '</ul>';
	
			echo $after_widget;
		}
	
	
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = $new_instance['title'];
			$instance['postcount'] = $new_instance['postcount'];
			$instance['poplatest'] = $new_instance['poplatest'];
			$instance['category'] = $new_instance['category'];
			$instance['featuredimage'] = $new_instance['featuredimage'];
			return $instance;
		}
	}

/*-----------------------------------------------------------------------------------

	Plugin Name: Twitter Widget Plugin
	Plugin URI: http://www.thunderbuddies.com
	Description: A widget that displays a twitter feed
	Version: 1.0
	Author: thunderbuddies
	Author URI: http://www.thunderbuddies.com

-----------------------------------------------------------------------------------*/
add_action('widgets_init', 'tweets_load_widgets');

function tweets_load_widgets()
{
	register_widget('Tweets_Widget');
}

class Tweets_Widget extends WP_Widget {
	
	function Tweets_Widget()
	{
		$widget_ops = array('classname' => 'tweets', 'description' => '');

		$control_ops = array('id_base' => 'tweets-widget');

		$this->WP_Widget('tweets-widget', 'Glisseo Twitter 1.1', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$consumer_key = $instance['consumer_key'];
		$consumer_secret = $instance['consumer_secret'];
		$access_token = $instance['access_token'];
		$access_token_secret = $instance['access_token_secret'];
		$twitter_id = $instance['twitter_id'];
		$count = $instance['count'];

		echo $before_widget;
		
		if($title) {
			echo $before_title.$title.$after_title;
		}
		
		if($twitter_id && $consumer_key && $consumer_secret && $access_token && $access_token_secret && $count) { 
		$transName = 'list_tweets_'.$args['widget_id'];
		$cacheTime = 10;
		delete_transient($transName);
		if(false === ($twitterData = get_transient($transName))) {
		     // require the twitter auth class
		     @require_once 'twitteroauth/twitteroauth.php';
		     $twitterConnection = new TwitterOAuth(
							$consumer_key,	// Consumer Key
							$consumer_secret,   	// Consumer secret
							$access_token,       // Access token
							$access_token_secret    	// Access token secret
							);
		    $twitterData = $twitterConnection->get(
							  'statuses/user_timeline',
							  array(
							    'screen_name'     => $twitter_id,
							    'count'           => $count,
							    'exclude_replies' => false
							  )
							);
		     if($twitterConnection->http_code != 200)
		     {
		          $twitterData = get_transient($transName);
		     }

		     // Save our new transient.
		     set_transient($transName, $twitterData, 60 * $cacheTime);
		};
		$twitter = get_transient($transName);
		if($twitter && is_array($twitter)) {
			//var_dump($twitter);
		?>
				<div id="twitter-wrapper"><div class="twitter" id="twitter_<?php echo $args['widget_id']; ?>">
						<ul>
							<?php foreach($twitter as $tweet): ?>
								<?php
								$latestTweet = $tweet->text;
								$latestTweet = preg_replace('/http:\/\/([a-z0-9_\.\-\+\&\!\#\~\/\,]+)/i', '&nbsp;<a href="//$1" target="_blank">http://$1</a>&nbsp;', $latestTweet);
								$latestTweet = preg_replace('/@([a-z0-9_]+)/i', '&nbsp;<a href="//twitter.com/$1" target="_blank">@$1</a>&nbsp;', $latestTweet);
								?>
								<?php
								$twitterTime = strtotime($tweet->created_at);
								$timeAgo = $this->ago($twitterTime);
								?>
								<li><span class="twitterPrefix"><span class="twitterStatus"><?php echo $latestTweet; ?></span><br><em class="twitterTime"><a href="//twitter.com/<?php echo $tweet->user->screen_name; ?>/statuses/<?php echo $tweet->id_str; ?>"><?php echo $timeAgo; ?></a></em></li>
							<?php endforeach; ?>
				</ul></div><span class="username"><a href="//twitter.com/<?php echo $twitter_id;?>">→ Follow @<?php echo $twitter_id;?></a></span></div>
		<?php }}
		
		echo $after_widget;
	}
	
	function ago($time)
	{
	   $periods = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
	   $lengths = array("60","60","24","7","4.35","12","10");

	   $now = time();

	       $difference     = $now - $time;
	       $tense         = "ago";

	   for($j = 0; $difference >= $lengths[$j] && $j < count($lengths)-1; $j++) {
	       $difference /= $lengths[$j];
	   }

	   $difference = round($difference);

	   if($difference != 1) {
	       $periods[$j].= "s";
	   }

	   return "$difference $periods[$j] ago ";
	}

	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		$instance['consumer_key'] = $new_instance['consumer_key'];
		$instance['consumer_secret'] = $new_instance['consumer_secret'];
		$instance['access_token'] = $new_instance['access_token'];
		$instance['access_token_secret'] = $new_instance['access_token_secret'];
		$instance['twitter_id'] = $new_instance['twitter_id'];
		$instance['count'] = $new_instance['count'];

		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => 'Recent Tweets', 'twitter_id' => '', 'count' => 3);
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p><a href="//dev.twitter.com/apps">Find or Create your Twitter App</a></p>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('consumer_key'); ?>">Consumer Key:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('consumer_key'); ?>" name="<?php echo $this->get_field_name('consumer_key'); ?>" value="<?php echo $instance['consumer_key']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('consumer_secret'); ?>">Consumer Secret:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('consumer_secret'); ?>" name="<?php echo $this->get_field_name('consumer_secret'); ?>" value="<?php echo $instance['consumer_secret']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('access_token'); ?>">Access Token:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('access_token'); ?>" name="<?php echo $this->get_field_name('access_token'); ?>" value="<?php echo $instance['access_token']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('access_token_secret'); ?>">Access Token Secret:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('access_token_secret'); ?>" name="<?php echo $this->get_field_name('access_token_secret'); ?>" value="<?php echo $instance['access_token_secret']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('twitter_id'); ?>">Twitter ID:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" value="<?php echo $instance['twitter_id']; ?>" />
		</p>

			<label for="<?php echo $this->get_field_id('count'); ?>">Number of Tweets:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" value="<?php echo $instance['count']; ?>" />
		</p>

	<?php
	}
}



/*-----------------------------------------------------------------------------------

	Plugin Name: Shortcode Widget Plugin
	Plugin URI: http://www.thunderbuddies.com
	Description: A widget that displays all shortcodes in a widget
	Version: 1.0
	Author: thunderbuddies
	Author URI: http://www.thunderbuddies.com

-----------------------------------------------------------------------------------*/	
	add_action( 'widgets_init', create_function('', 'return register_widget("tb_glisseoShortcodes");') );
	class tb_glisseoShortcodes extends WP_Widget {
	
		function tb_glisseoShortcodes() {
			$widget_ops = array('classname' => 'tb_glisseoShortcodes', 'description' => 'A sidebar shortcode widget. Please enter the HTML with Shortcodes in the corresponding textarea.');
	    	$this->WP_Widget('tb_glisseoShortcodes', 'Glisseo Shortcodes HTML Text', $widget_ops);
		}
		
		function form( $instance ) {
			$instance = wp_parse_args( (array) $instance ); ?>
	
			<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></p>
			
	        <p><label for="<?php echo $this->get_field_id( 'text' ); ?>">HTML with Shortcodes Text</label><br /><textarea class="widefat" style="height:150px;" id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>"><?php if( isset($instance['text']) ) echo $instance['text']; ?></textarea></p>  
		<?php
		}
	
		function widget( $args, $instance ) {
			extract( $args );
	
			$title = apply_filters('widget_title', $instance['title'] );
			if ( isset($instance['id']) ) $id = $instance['id'];
			$text = $instance['text'];
			
			echo $before_widget;
			
		   	if ( $title ) echo $before_title . $title . $after_title;
			echo do_shortcode($text);
			echo $after_widget;
		}
	
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = $new_instance['title'];
			$instance['text'] = $new_instance['text'];
			return $instance;
		}
	}

	
	/*-----------------------------------------------------------------------------------

	Plugin Name: Social Buttons Widget Plugin
	Plugin URI: http://www.thunderbuddies.com
	Description: A widget that displays a simple list of social profile icons
	Version: 1.0
	Author: thunderbuddies
	Author URI: http://www.thunderbuddies.com

-----------------------------------------------------------------------------------*/	
	add_action( 'widgets_init', create_function('', 'return register_widget("tb_glisseoSocials");') );
	class tb_glisseoSocials extends WP_Widget {
	
		function tb_glisseoSocials() {
			$widget_ops = array('classname' => 'tb_glisseoSocials', 'description' => 'Simple list of Social Profile icons');
	    	$this->WP_Widget('tb_glisseoSocials', 'Glisseo Socials Widget', $widget_ops);
		}
		
		function form( $instance ) {
			$instance = wp_parse_args( (array) $instance ); ?>
	        <label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
	        <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" type="text" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" />
	        <label>Socials:</label><hr><br>
		    <div>
		        <div style="display:none;">
		        	<select class="widefat" data-name="<?php echo $this->get_field_name( 'socialicon' ); ?>[]">
			        	<option value="dribbble">Dribbble</option>
			        	<option value="facebook">Facebook</option>
			        	<option value="flickr">Flickr</option>
			        	<option value="forrst">Forrst</option>
			        	<option value="google">Google</option>
			        	<option value="lastfm">LastFM</option>
			        	<option value="linkedin">LinkedIn</option>
			        	<option value="pinterest">Pinterest</option>
			        	<option value="rss">RSS</option>
			        	<option value="skype">Skype</option>
			        	<option value="tumblr">Tumblr</option>
			        	<option value="twitter">Twitter</option>
			        	<option value="vimeo">Vimeo</option>
			        	<option value="youtube">Youtube</option>
			        </select>
			        <label for="<?php echo $this->get_field_name( 'link' ); ?>[]">URL Link:</label>
			        <input type="text" class="widefat" data-name="<?php echo $this->get_field_name( 'link' ); ?>[]"/>
			        <br><a href="#" class="tb_glisseo_delete_social">Delete Social</a>
		        </div>
		        <?php 
		        	$social_count=0;
		        	$social_selected="";
		        	$uniq = uniqid();
		        	if(isset($instance['socialicon'])){
			        	foreach($instance['socialicon'] as $socialicon){
				        	if(!empty($socialicon))
				        		echo '<div><select class="widefat" name="'.$this->get_field_name( 'socialicon' ).'[]">';
				        		if($socialicon=="dribbble") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="dribbble" '.$social_selected.'>Dribbble</option>';
						        
						        if($socialicon=="facebook") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="facebook" '.$social_selected.'>Facebook</option>';
						        
						        if($socialicon=="flickr") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="flickr" '.$social_selected.'>Flickr</option>';
						        
						        if($socialicon=="forrst") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="forrst" '.$social_selected.'>Forrst</option>';
						        
						        if($socialicon=="google") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="google" '.$social_selected.'>Google</option>';
						        
						        if($socialicon=="lastfm") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="lastfm" '.$social_selected.'>LastFM</option>';
						        
						        if($socialicon=="linkedin") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="linkedin" '.$social_selected.'>LinkedIn</option>';
						        
						        if($socialicon=="pinterest") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="pinterest" '.$social_selected.'>Pinterest</option>';
						        
						        if($socialicon=="rss") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="rss" '.$social_selected.'>RSS</option>';
						        
						        if($socialicon=="skype") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="skype" '.$social_selected.'>Skype</option>';
						        
						        if($socialicon=="tumblr") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="tumblr" '.$social_selected.'>Tumblr</option>';
						        
						        if($socialicon=="twitter") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="twitter" '.$social_selected.'>Twitter</option>';
						        
						        if($socialicon=="vimeo") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="vimeo" '.$social_selected.'>Vimeo</option>';
						        
						        if($socialicon=="youtube") $social_selected="selected"; else $social_selected ="";
						        echo '<option value="youtube" '.$social_selected.'>Youtube</option>
						        </select>';
						        
						        $link = "";
						        if( isset($instance['link'][$social_count]) ) $link = $instance['link'][$social_count++]; 
						        echo '<label for="'.$this->get_field_name( 'link' ).'">URL Link:</label><input type="text" class="widefat" name="'.$this->get_field_name( 'link' ).'[]" value="'.$link.'" />';

						        echo '<br><a href="#" class="tb_glisseo_delete_social">Delete Social</a></div><br>';
			        	}
			        }?>
	        	<span></span>
	        	<br><hr><a href='#' class="tb_glisseo_add_social_<?php echo $uniq;?>">Add Social</a>
	        </div>
	        
	        <script>
		       
		        	jQuery(".tb_glisseo_add_social_<?php echo $uniq;?>").live("click",function(){
		        		$parent = jQuery(this).closest("div");
		        		$field = $parent.find("div:first").clone(true);
			        	$field.find("select,input").each(function(){
				        	$this = jQuery(this);
				        	$this.attr("name",$this.data("name"));
				        	});
			        	$field.css("display","");
			        	$parent.find("span").before($field);
			        	return false;
			        });
		        	jQuery(".tb_glisseo_delete_social").live("click",function(){
			        	jQuery(this).closest("div").remove();	
			        	return false;
		        	});

	        </script>
	    <?php
		}
		
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = $new_instance['title'];
			$instance['socialicon'] = $new_instance['socialicon'];
			$instance['link'] = $new_instance['link'];

			return $instance;
		}
	
		function widget( $args, $instance ) {
			extract( $args );
	
			$title = apply_filters('widget_title', $instance['title'] );
			if ( isset($instance['id']) ) $id = $instance['id'];

						
			echo $before_widget;
		   	if ( !empty($title) ) echo $before_title . $title . $after_title;
			echo '<ul class="social">';
				$social_count = 0;
				foreach($instance['socialicon'] as $class){
					echo '<li><a class="'.$class.'" href="'.$instance['link'][$social_count++].'"></a></li>';
				}
			echo '</ul>';	
		}
	}
	
	/*-----------------------------------------------------------------------------------

	Plugin Name: Taglist Widget Plugin
	Plugin URI: http://www.thunderbuddies.com
	Description: A widget that displays a list of tags
	Version: 1.0
	Author: thunderbuddies
	Author URI: http://www.thunderbuddies.com
	-----------------------------------------------------------------------------------*/
		add_action( 'widgets_init', create_function('', 'return register_widget("tb_glisseoTaglist");') );	
		class tb_glisseoTaglist extends WP_Widget {
	
		function tb_glisseoTaglist() {
			$widget_ops = array('classname' => 'tb_glisseoTaglist', 'description' => 'Taglist Widget');
	    	$this->WP_Widget('tb_glisseoTaglist', 'Glisseo Taglist', $widget_ops);
		}
		
		function form( $instance ) {
			$instance = wp_parse_args( (array) $instance ); ?>
	        
	        <p><label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></p>	        
		<?php
		}
	
		function widget( $args, $instance ) {
				extract( $args );
		
				$title = apply_filters('widget_title', $instance['title'] );
				if ( isset($instance['id']) ) $id = $instance['id'];
				$user = $instance['username'];
				$feeds = $instance['feedcount'];
				$uniqid = uniqid("tw_");
				echo $before_widget;
				
			   	if ( $title ) echo $before_title . $title . $after_title;
			   	echo '<ul class="tag-list">';
			   	wp_get_all_tags();
			   	echo '</ul>';
				echo $after_widget;
		}
	
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			$instance['title'] = $new_instance['title'];
			return $instance;
		}
	}
	
	
	
	
?>